Bug 622151 - Review Request: GLee - GL Easy Extension library
Summary: Review Request: GLee - GL Easy Extension library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-07 18:39 UTC by Hicham HAOUARI
Modified: 2011-09-13 05:54 UTC (History)
4 users (show)

Fixed In Version: GLee-5.4.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-13 05:52:07 UTC
gwync: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Hicham HAOUARI 2010-08-07 18:39:20 UTC
Spec URL: http://hicham.fedorapeople.org/GLee/GLee.spec
SRPM URL: http://hicham.fedorapeople.org/GLee/GLee-5.4.0-1.fc13.src.rpm
Description:
GLee (GL Easy Extension library) is a free cross-platform extension loading
library for OpenGL. It provides seamless support for OpenGL functions up
to version 3.0 and 399 extensions.

Comment 1 Gwyn Ciesla 2011-06-27 16:06:41 UTC
Good:

- rpmlint checks return:

- package meets naming guidelines
- package meets packaging guidelines
- license ( ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 


This looks good.  Doing mock build for BRs.  If that's good I'll approve.

Comment 2 Gwyn Ciesla 2011-06-27 16:27:39 UTC
Mock build good.  APPROVED.

Comment 3 Hicham HAOUARI 2011-06-27 22:18:59 UTC
Thanks Jon for reviewing this package

Comment 4 Hicham HAOUARI 2011-06-27 23:35:22 UTC
New Package SCM Request
=======================
Package Name: GLee
Short Description: GL Easy Extension library
Owners: hicham
Branches: f14 f15
InitialCC: hicham

Comment 5 Gwyn Ciesla 2011-06-27 23:42:04 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-06-28 02:03:05 UTC
GLee-5.4.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/GLee-5.4.0-1.fc15

Comment 7 Fedora Update System 2011-06-28 02:48:41 UTC
GLee-5.4.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/GLee-5.4.0-1.fc14

Comment 8 Fedora Update System 2011-06-28 20:26:44 UTC
GLee-5.4.0-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 9 Fedora Update System 2011-09-13 05:52:00 UTC
GLee-5.4.0-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2011-09-13 05:54:10 UTC
GLee-5.4.0-1.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.